%
%   version 1.3.02
%
function z = cal_B_column(p,t,daefile,y,x,varargin)
f0=feval('fnachx',t,x,y,daefile,varargin{:});
tresh=ones(size(x,1),1);
%tresh=1e-10.*tresh;
[B,fac,g1,nF]=numjac('fnachx',t,x,f0,tresh,[],0,[],[],y,daefile,varargin{:});
z=B(:);